﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class observermove2 : MonoBehaviour
{
    public float stepsize;
    public float rotationspeed;

    Camera cam;

    public void Awake()
    {
        cam = Camera.main;
    }

    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKey(KeyCode.LeftShift) || Input.GetKey(KeyCode.RightShift)) // rotation via SHIFT key
        {
            if (Input.GetKey(KeyCode.LeftArrow))
            {
                transform.Rotate(0.0f, -rotationspeed, 0.0f);
            }
            if (Input.GetKey(KeyCode.RightArrow))
            {
                transform.Rotate(0.0f, rotationspeed, 0.0f);
            }

            // rotate the camera to look up and down if VR not attached
            if (Input.GetKey(KeyCode.UpArrow))
            {
                cam.transform.Rotate(-rotationspeed, 0.0f, 0.0f);
            }
            if (Input.GetKey(KeyCode.DownArrow))
            {
                cam.transform.Rotate(rotationspeed, 0.0f, 0.0f);
            }
        }
        else
        {
            if (Input.anyKeyDown)
            {
                float moveHorizontal = Input.GetAxis("Horizontal");
                float moveVertical = Input.GetAxis("Vertical");
                Vector3 movement = new Vector3(moveHorizontal, 0.0f, moveVertical);

                float rotator = cam.transform.eulerAngles.y - transform.eulerAngles.y;
                transform.Rotate(0.0f, rotator, 0.0f);
                transform.Translate(movement * stepsize);  // move in the camera direction
                transform.Rotate(0.0f, -rotator, 0.0f);  // and set us back on the world coordinates
            }
        }
    }
}
